package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.entity.BaseEntity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(photo_):
 */
public class Photo extends BaseEntity {

	/**  */
	private Integer id;
	
	/** 相册编号 */
	private Integer photoAlbumId;

	private String musicGroupId;
	
	/** 名称 */
	private String name;
	
	/** 学生端是否展示 */
	private YesOrNoEnum clientShow = YesOrNoEnum.NO;
	
	/** 地址 */
	private String url;
	
	/** 缩略图地址 */
	private String thumbnailUrl;

	/** 排序 */
	private Integer order;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setPhotoAlbumId(Integer photoAlbumId){
		this.photoAlbumId = photoAlbumId;
	}
	
	public Integer getPhotoAlbumId(){
		return this.photoAlbumId;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setClientShow(YesOrNoEnum clientShow){
		this.clientShow = clientShow;
	}
	
	public YesOrNoEnum getClientShow(){
		return this.clientShow;
	}
			
	public void setUrl(String url){
		this.url = url;
	}
	
	public String getUrl(){
		return this.url;
	}
			
	public void setThumbnailUrl(String thumbnailUrl){
		this.thumbnailUrl = thumbnailUrl;
	}
	
	public String getThumbnailUrl(){
		return this.thumbnailUrl;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
